/****************************************************************
 SDI Security Services

 Copyright (C) 2004 by con terra GmbH

 Author: Jan Drewnak

 Contact: Albert Remke, con terra GmbH, Martin-Luther-King-Weg 24,
 48155 Muenster, Germany, 52n@conterra.de

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 version 2 as published by the Free Software Foundation.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program (see gnu-gpl v2.txt); if not, write to
 the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 Boston, MA  02111-1307, USA or visit the web page of the Free
 Software Foundation, http://www.fsf.org.
 ****************************************************************/
package org.n52.security.authentication;

import org.dom4j.DocumentFactory;
import org.dom4j.Element;
import org.dom4j.Node;
import org.dom4j.QName;
import org.n52.security.common.util.XMLUtilsDom4j;

/**
 *
 */
public class PasswordAuthenticationMethod implements AuthenticationMethod {

    public static final String URN = "urn:opengeospatial:authNMethod:OWS:1.0:password";

    /* (non-Javadoc)
    * @see org.n52.security.was.AuthenticationMethod#getURN()
    */
    public String getURN() {
        return URN;
    }

    /* (non-Javadoc)
     * @see org.n52.security.was.AuthenticationMethod#asDom4J()
     */
    public Node asDom4J() {
        DocumentFactory lFac = XMLUtilsDom4j.getDocFactory();
        Element lAuthnMethElem = lFac.createElement(new QName("AuthenticationMethod", XMLUtilsDom4j.sAuthnNamespace));
        lAuthnMethElem.addAttribute(new QName("type", XMLUtilsDom4j.sXsiNamespace), "authn:PasswordType");
        lAuthnMethElem.addAttribute("method", getURN());

        return lAuthnMethElem;
    }

}
