/****************************************************************
 SDI Security Services

 Copyright (C) 2004 by con terra GmbH

 Author: Arne Broering, University of Muenster

 Contact: Albert Remke, con terra GmbH, Martin-Luther-King-Weg 24,
 48155 Muenster, Germany, 52n@conterra.de

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 version 2 as published by the Free Software Foundation.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program (see gnu-gpl v2.txt); if not, write to
 the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 Boston, MA  02111-1307, USA or visit the web page of the Free
 Software Foundation, http://www.fsf.org.

 Created on: 20.09.2005
 ****************************************************************/

package org.n52.security.authentication;

/**
 * A SAMLCredential represents a credential based on a SAML-Response or SAML-Assertion.
 *
 * @author Arne Broering
 */
public class SAMLCredential implements Credential {

    private SAMLTicket m_samlTicket;

    /**
     * Constructor creates a new instance.
     *
     * @param samlTicket the samlTicket.
     */
    public SAMLCredential(final SAMLTicket samlTicket) {
        if (samlTicket == null) {
            throw new IllegalArgumentException("samlTicket must not null");
        }
        m_samlTicket = samlTicket;
    }

    /**
     * Method gets the samlTicket.
     *
     * @return SAMLTicket.
     */
    public SAMLTicket getSAMLTicket() {
        return m_samlTicket;
    }
}
