/****************************************************************
 SDI Security Services

 Copyright (C) 2005 by con terra GmbH

 Author: Marko Reiprecht

 Contact: Albert Remke, con terra GmbH, Martin-Luther-King-Weg 24,
 48155 Muenster, Germany, 52n@conterra.de

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 version 2 as published by the Free Software Foundation.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program (see gnu-gpl v2.txt); if not, write to
 the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 Boston, MA  02111-1307, USA or visit the web page of the Free
 Software Foundation, http://www.fsf.org.
 ****************************************************************/
/* $Id:SAMLResponse.java 434 2007-06-19 14:09:39Z jessebluemr $ */
package org.n52.security.authentication;

import org.apache.log4j.Logger;
import org.n52.security.enforcement.artifact.TransferableCreator;
import org.n52.security.enforcement.artifact.Transferable;
import org.n52.security.enforcement.artifact.TransferableFactory;

/**
 * Tasks of Class SAMLResponse:
 * <ol>
 * <li></li>
 * </ol>
 *
 * @author reiprecht
 */
public class SAMLResponse implements TransferableCreator {
    private final static Logger sLogger = Logger.getLogger(SAMLResponse.class);

    private String mTicket;

    public SAMLResponse(String pSAMLResponse) {
        mTicket = pSAMLResponse;
    }

    public String getTicket() {
        return mTicket;
    }

    public Transferable getAsTransferable() {
        return TransferableFactory.getInstance().createTextualTransferable("text/plain",mTicket,"UTF-8");
    }
}