/****************************************************************
 SDI Security Services

 Copyright (C) 2004 by con terra GmbH

 Author: Arne Broering, University of Muenster

 Contact: Albert Remke, con terra GmbH, Martin-Luther-King-Weg 24,
 48155 Muenster, Germany, 52n@conterra.de

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 version 2 as published by the Free Software Foundation.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program (see gnu-gpl v2.txt); if not, write to
 the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 Boston, MA  02111-1307, USA or visit the web page of the Free
 Software Foundation, http://www.fsf.org.

 Created on: 20.09.2005
 ****************************************************************/

package org.n52.security.authentication;

import java.io.Serializable;

/**
 * @author Arne Broering, Marko Reiprecht
 */
public class SessionIDCredential implements Credential, Serializable {

    // ------------------------------ FIELDS ------------------------------

    private static final long serialVersionUID = 5164893507321998382L;


    private String m_sessionId;

    // --------------------------- CONSTRUCTORS ---------------------------

    /**
     * Constructor creates a new instance.
     *
     * @param sessionId the sessionId.
     */
    public SessionIDCredential(final String sessionId) {
        m_sessionId = sessionId;
    }

    // --------------------- GETTER / SETTER METHODS ---------------------

    /**
     * Method gets the sessionId.
     *
     * @return String.
     */
    public String getSessionId() {
        return m_sessionId;
    }
}
