/****************************************************************
SDI Security Services

Copyright (C) 2004 by con terra GmbH

Author: Jan Drewnak

Contact: Albert Remke, con terra GmbH, Martin-Luther-King-Weg 24,
48155 Muenster, Germany, 52n@conterra.de

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
version 2 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program (see gnu-gpl v2.txt); if not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA  02111-1307, USA or visit the web page of the Free
Software Foundation, http://www.fsf.org.
****************************************************************/
package org.n52.security.common.util;

import java.util.HashMap;
import java.util.Map;

import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.DocumentFactory;
import org.dom4j.Namespace;
import org.dom4j.io.SAXReader;
import org.xml.sax.InputSource;

/**
 * @deprecated Don't use dom4j !!! use the default java.xml parsers.
 */
public class XMLUtilsDom4j {

    public static final Namespace sOWSNamespace = new Namespace("ows", "http://www.opengis.net/ows");

    public static final Namespace sOGCNamespace = new Namespace("ogc", "http://www.opengis.net/ogc");

    public static final Namespace sAuthnNamespace = new Namespace("authn", "http://www.gdi-nrw.org/authn");
    public static final Namespace sUsersNamespace = new Namespace("users", "http://www.52north.org/users");

    public static final Namespace sMynsNamespace = new Namespace("myns", "http://www.someserver.com/myns");

    public static final Namespace sWSSNamespace = new Namespace("wss", "http://www.gdi-nrw.org/wss");
    public static final Namespace sWASNamespace = new Namespace("was", "http://www.gdi-nrw.org/was");
    public static final Namespace sXlinkNamespace = new Namespace("xlink", "http://www.w3.org/1999/xlink");
    public static final Namespace sXsiNamespace = new Namespace("xsi", "http://www.w3.org/2001/XMLSchema-instance");

    // don't use DocumentFactory.getInstance()
    // you change the namespace prefixes of all classes wich are using the same documentfactory!!!!
    // this leads to very odd behavior!
    public static DocumentFactory sDocFac = new DocumentFactory();

    private static Map sNamespaces = new HashMap();


    static {
        sNamespaces.put(sOWSNamespace.getPrefix(), sOWSNamespace.getURI());
        sNamespaces.put(sOGCNamespace.getPrefix(), sOGCNamespace.getURI());
        sNamespaces.put(sMynsNamespace.getPrefix(), sMynsNamespace.getURI());
        sNamespaces.put(sXsiNamespace.getPrefix(), sXsiNamespace.getURI());
        sNamespaces.put(sAuthnNamespace.getPrefix(), sAuthnNamespace.getURI());
        sNamespaces.put(sUsersNamespace.getPrefix(), sUsersNamespace.getURI());
        sNamespaces.put(sWSSNamespace.getPrefix(), sWSSNamespace.getURI());
        sNamespaces.put(sWASNamespace.getPrefix(), sWASNamespace.getURI());
        sNamespaces.put(sXlinkNamespace.getPrefix(), sXlinkNamespace.getURI());
        sDocFac.setXPathNamespaceURIs(sNamespaces);
    }

    private static SAXReader sSaxReader = new SAXReader(sDocFac);

    static {
    	sSaxReader.setMergeAdjacentText(true);
    }

    private XMLUtilsDom4j() {
    }


    public static DocumentFactory getDocFactory() {
        return sDocFac;
    }

    public static synchronized Document read(InputSource pSource) throws DocumentException {
        return sSaxReader.read(pSource);
    }

}
