/*******************************************************************************
 * Copyright  2007 52North Initiative for Geospatial Open Source Software GmbH
 *
 * Author: Marko Reiprecht, con terra GmbH
 *
 * Contact: Andreas Wytzisk, 52North Initiative for Geospatial Open Source
 * Software GmbH, Martin-Luther-King-Weg 24, 48155 Muenster, Germany,
 * info@52north.org
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 2 as published by the
 * Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; even without the implied WARRANTY OF MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program (see gnu-gpl v2.txt). If not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA or
 * visit the Free Software Foundations web page, http://www.fsf.org.
 *
 ******************************************************************************/
/* $Id: PDPProxy.java 1132 2008-07-29 11:04:12Z JanDrewnak $ */

package org.n52.security.decision;

/**
 * This abstract Class resprents an schema for an PolicyDecisionPointProxy (PDPProxy).
 * A PolicyDecisionPointProxy requests the PolicyEnforcementPoint (PEP),
 * which holds the rights and policies for every user.
 * A PDPProxy acts as visblie Interface to the PEP for the AuthzInterceptor.
 *
 * @author Bastian Schaeffer
 * @author Marko Reiprecht
 * @version $Revision: 1132 $
 * @deprecated please use the DecisionService interface directly.
 */
public interface PDPProxy extends DecisionService {

}