/****************************************************************
 SDI Security Services

 Copyright (C) 2005 by con terra GmbH

 Author: Marko Reiprecht

 Contact: Albert Remke, con terra GmbH, Martin-Luther-King-Weg 24,
 48155 Muenster, Germany, 52n@conterra.de

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 version 2 as published by the Free Software Foundation.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program (see gnu-gpl v2.txt); if not, write to
 the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 Boston, MA  02111-1307, USA or visit the web page of the Free
 Software Foundation, http://www.fsf.org.
 ****************************************************************/
/* $Id: HttpHeaderAttribute.java 1148 2008-08-03 21:02:57Z JanDrewnak $ */
package org.n52.security.enforcement.artifact;

import org.apache.log4j.Logger;

/**
 * Tasks of Class HttpHeaderAttribute:
 * <ol>
 * <li>Simple Http Header Field as a Key-Value Pair of Strings</li>
 * </ol>
 *
 * @author reiprecht
 */
public class HttpHeaderAttribute implements TransferAttribute{
    private final static Logger sLogger = Logger.getLogger(HttpHeaderAttribute.class);

    public static final String HEADER_NAME_CONTENTTYPE = "Content-Type";
    public static final String HEADER_NAME_CONTENTENCODING = "Content-Encoding";
    public static final String HEADER_NAME_COOKIE = "Cookie";
    public static final String HEADER_NAME_XFORWARDEDFOR = "X-Forwarded-For";


    protected String mName;
    protected String mValue;

    public static HttpHeaderAttribute createHttpHeaderAttribute(String pName,String pValue){
        return new HttpHeaderAttribute(pName,pValue);
    }

    private HttpHeaderAttribute(String pName, String pValue) {
        mName = pName;
        mValue = pValue;
    }

    public String getName() {
        return mName;
    }

    public Object getValue() {
        return mValue;
    }

    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    public String toString() {
        return mName + ": "+mValue;
    }

}