/*******************************************************************************
 * Copyright (C) 2008
 * by 52 North Initiative for Geospatial Open Source Software GmbH
 *
 * Contact: Andreas Wytzisk
 * 52 North Initiative for Geospatial Open Source Software GmbH
 * Martin-Luther-King-Weg 24
 * 48155 Muenster, Germany
 * info@52north.org
 *
 * This program is free software; you can redistribute and/or modify it under
 * the terms of the GNU General Public License version 2 as published by the
 * Free Software Foundation.
 *
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program (see gnu-gpl v2.txt). If not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA or
 * visit the Free Software Foundation web page, http://www.fsf.org.
 ******************************************************************************/

package org.n52.security.enforcement.artifact;

/**
 * Tasks of Interface TransferAttribute:
 * <ol>
 * <li>Thats a Name-Value Attribute Pair</li>
 * <li>It covers special Attributes for different DCP-Types</li>
 * </ol>
 *
 * @author reiprecht
 */
public interface TransferAttribute {

    public static final String PATHINFO_ATTR = "request.pathinfo";
    public static final String QUERY_STRING_ATTR = "request.querystring";
    public static final String REQUEST_IP_ATTR = "request.ip";
    public static final String LICENSE_REFERENCE = "extension.licensereference";
    public static final String SERVICE_BASE_URL = "request.service.baseurl";

    public String getName();

    public Object getValue();
}
