/****************************************************************
 SDI Security Services

 Copyright (C) 2005 by con terra GmbH

 Author: Marko Reiprecht

 Contact: Albert Remke, con terra GmbH, Martin-Luther-King-Weg 24,
 48155 Muenster, Germany, 52n@conterra.de

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 version 2 as published by the Free Software Foundation.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program (see gnu-gpl v2.txt); if not, write to
 the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 Boston, MA  02111-1307, USA or visit the web page of the Free
 Software Foundation, http://www.fsf.org.
 ****************************************************************/
/* $Id: TransferableImpl.java 539 2007-06-22 19:54:20Z jessebluemr $ */
package org.n52.security.enforcement.artifact;

import java.util.Collection;
import java.util.HashMap;
import java.util.Map;

/**
 * Tasks of Class TransferableImpl:
 * <ol>
 * <li>Implements Transferable</li>
 * </ol>
 * @see Transferable
 * @author reiprecht
 */
public class TransferableImpl implements Transferable{

    protected Payload mPayload;

    protected Map mAttributes = new HashMap(5);

    public Payload getPayload() {
        return mPayload;
    }

    public void setPayload(Payload pPayload) {
        mPayload = pPayload;
    }

    public Collection getAttributeNames() {
        return mAttributes.keySet();
    }

    public Collection getAttributes() {
        return mAttributes.values();
    }

    public TransferAttribute getAttribute(String pName) {
        return (TransferAttribute) mAttributes.get(pName);
    }

    public Object getAttributeValue(String pName) {
        TransferAttribute lRes = getAttribute(pName);
        return lRes != null ? lRes.getValue() : null;
    }

    public void addAttribute(TransferAttribute pAttribute) {
        if (pAttribute!=null)
            mAttributes.put(pAttribute.getName(),pAttribute);
    }
}