/*******************************************************************************
 * Copyright  2007 52North Initiative for Geospatial Open Source Software GmbH
 * 
 * Author: AUTHOR, COMPANY
 * 
 * Contact: Andreas Wytzisk, 52North Initiative for Geospatial Open Source
 * Software GmbH, Martin-Luther-King-Weg 24, 48155 Muenster, Germany,
 * info@52north.org
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 2 as published by the
 * Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; even without the implied WARRANTY OF MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program (see gnu-gpl v2.txt). If not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA or
 * visit the Free Software Foundations web page, http://www.fsf.org.
 * 
 ******************************************************************************/
package org.n52.security.precondition;

import java.util.HashMap;
import java.util.Map;

/**
 * @author drewnak
 * 
 */
public class Precondition {

    private String m_type;

    private Map m_params;

    /**
     * @param type
     * @param handler
     */
    public Precondition(final String type) {
        this(type, new HashMap());
    }

    public Precondition(final String type, final Map params) {
        super();
        if (type == null) throw new IllegalArgumentException("type must not be null");
        m_type = type;


        if (params == null) { 
            m_params = new HashMap(); 
        } else {
            m_params = params;            
        }
    }


    public String getType() {
        return m_type;
    }

    public Map getParams() {
        return m_params;
    }

}
